Error when building game

Hi all,

when I try to package a game with a Daz model and DazToUnreal in UE5.0.1 I get the following error message:

"ERROR: Expecting to find a type to be declared in a module rules named 'DazToUnrealRuntime' in UE5Rules, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null.  This type must derive from the 'ModuleRules' type defined by Unreal Build Tool."

Any ideas what's going wrong?

 

 

 

 

Comments

  • metasidemetaside Posts: 109

    Since it's not a figure I'm doing basic FBX export now, but it still would be good to know what the error is about.

  • achescoachesco Posts: 4

    metaside said:

    Hi all,

    when I try to package a game with a Daz model and DazToUnreal in UE5.0.1 I get the following error message:

    "ERROR: Expecting to find a type to be declared in a module rules named 'DazToUnrealRuntime' in UE5Rules, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null.  This type must derive from the 'ModuleRules' type defined by Unreal Build Tool."

    Any ideas what's going wrong?

    Hi, please, let me know if you managed to find the remedy?

    Facing the same problem with UE5.0.2 and both: DazToUnreal 5.0.0.75 by David Vodhanel and 5.0.0 by Daz 3D versions :(

     

  • danielbui78danielbui78 Posts: 267
    edited June 14

    achesco said:

    metaside said:

    Hi all,

    when I try to package a game with a Daz model and DazToUnreal in UE5.0.1 I get the following error message:

    "ERROR: Expecting to find a type to be declared in a module rules named 'DazToUnrealRuntime' in UE5Rules, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null.  This type must derive from the 'ModuleRules' type defined by Unreal Build Tool."

    Any ideas what's going wrong?

    Hi, please, let me know if you managed to find the remedy?

    Facing the same problem with UE5.0.2 and both: DazToUnreal 5.0.0.75 by David Vodhanel and 5.0.0 by Daz 3D versions :(

     

    If you installed the plugin into the \UE_5.0\Engine\Plugins folder, then you need to move it to \UE_5.0\Engine\Plugins\Marketplace\.  If you don't have a Marketplace subfolder, just manually create it.  Alternatively, if you just place the DazToUnreal plugin directly into your Project's \Plugins subfolder, then it should work as well (again, create it if it doesn't exist).  This should hopefully fix the "module rules" related errors when building.  Good luck!

    Post edited by danielbui78 on
  • achescoachesco Posts: 4

    danielbui78 

    Placing the plugin under the 'Marketplace' subfolder did help! Thanks a lot, Danel!

  • metasidemetaside Posts: 109

    That's good to know, thanks to both of you! :D

  • metasidemetaside Posts: 109
    edited June 25

    Just installed the latest update (into the UE5 plugins/Marketplace subfolder) and tried to build a different project with a few Daz assets. Then one clothing piece doesn't accept the old material anymore. It was completely grey and I had to make a completely new material for it. Not a problem, but a bit strange. But now, when trying to package the project, I get this error:

    "ERROR: Expecting to find a type to be declared in a module rules named 'DazToUnrealRuntime' in . This type must derive from the 'ModuleRules' type defined by Unreal Build Tool."

     

    Edit: When putting the plugin into the project plugin folder, it seems to work. But with the plugin in the Engine/Plugins/Merketplace folder it doesn't work. And still no idea what happened with that material, all other materials converted from Daz are fine.

    Post edited by metaside on
Sign In or Register to comment.